Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.meta
Interface MetaDataIterator

All Superinterfaces:
  Closeable

All Known Implementing Classes:
  ClassMetaDataIterator, ClasspathMetaDataIterator, FileMetaDataIterator, MetaDataIteratorChain, ResourceMetaDataIterator, URLMetaDataIterator, ZipFileMetaDataIterator, ZipStreamMetaDataIterator

    public interface MetaDataIterator

extends Closeable

Iterator over metadata resources.

Author:
  Abe White

Method Summary
`void` | `close()` Close the resources used by this iterator.
`File` | `getFile()` Return the last-iterated metadata resource content as a file, or null if not an extant file.
`InputStream` | `getInputStream()` Return the last-iterated metadata resource content as a stream.
`boolean` | `hasNext()` Return whether there is another resource to iterate over.
`Object` | `next()` Return the next metadata resource.

Method Detail

### hasNext

    boolean hasNext()
                    throws IOException

  Return whether there is another resource to iterate over.

  Throws:
    `IOException`

### next

    Object next()
                throws IOException

  Return the next metadata resource.

  Throws:
    `IOException`

### getInputStream

    InputStream getInputStream()
                               throws IOException

  Return the last-iterated metadata resource content as a stream.

  Throws:
    `IOException`

### getFile

    File getFile()
                 throws IOException

  Return the last-iterated metadata resource content as a file, or null if not an extant file.

  Throws:
    `IOException`

### close

    void close()

  Close the resources used by this iterator.

  Specified by:
    `close` in interface `Closeable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.